Subject: Sphere 6800

From: Vintage Computer Festival <[email-masked]>
Date: Thu May 8 23:49:43 2003

I got my hands on a Sphere 6800 and would like to get it working again.
Does anyone have any service manuals or technical documentation on it?

-- 

Sellam Ismail                                        Vintage Computer Festival
------------------------------------------------------------------------------
International Man of Intrigue and Danger                http://www.vintage.org

 * Old computing resources for business and academia at www.VintageTech.com *